package com.ruoyi.ems.record.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.ems.base.domain.EmsBaseMonitorInfo;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 震动实时数据对象 T_VibrationSensor_Data
 * 
 * @author ZangCH
 * @date 2024-08-22
 */
public class EmsVibrationInstant extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 计量设备名称 */
    @Excel(name = "计量设备名称")
    private String monitorName;

    public String getMonitorName() {
        return monitorName;
    }

    public void setMonitorName(String monitorName) {
        this.monitorName = monitorName;
    }

    /** 主键标识 */
    private Long objId;

    /** 采集时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "采集时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date collectTime;

    /** 振动传感器编号 */
    @Excel(name = "振动传感器编号")
    private String sensorId;

    /** 速度(mm/s) */
    @Excel(name = "速度(mm/s)")
    private BigDecimal speed;

    /** 位移(um) */
    @Excel(name = "位移(um)")
    private BigDecimal displacement;

    /** 加速度(g) */
    @Excel(name = "加速度(g)")
    private BigDecimal acceleration;

    /** 温度(℃) */
    @Excel(name = "温度(℃)")
    private BigDecimal temperature;

    /** 记录时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "记录时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date recodeTime;

    public void setObjId(Long objId) 
    {
        this.objId = objId;
    }

    public Long getObjId() 
    {
        return objId;
    }
    public void setCollectTime(Date collectTime) 
    {
        this.collectTime = collectTime;
    }

    public Date getCollectTime() 
    {
        return collectTime;
    }
    public void setSensorId(String sensorId) 
    {
        this.sensorId = sensorId;
    }

    public String getSensorId() 
    {
        return sensorId;
    }
    public void setSpeed(BigDecimal speed) 
    {
        this.speed = speed;
    }

    public BigDecimal getSpeed() 
    {
        return speed;
    }
    public void setDisplacement(BigDecimal displacement) 
    {
        this.displacement = displacement;
    }

    public BigDecimal getDisplacement() 
    {
        return displacement;
    }
    public void setAcceleration(BigDecimal acceleration) 
    {
        this.acceleration = acceleration;
    }

    public BigDecimal getAcceleration() 
    {
        return acceleration;
    }
    public void setTemperature(BigDecimal temperature) 
    {
        this.temperature = temperature;
    }

    public BigDecimal getTemperature() 
    {
        return temperature;
    }
    public void setRecodeTime(Date recodeTime) 
    {
        this.recodeTime = recodeTime;
    }

    public Date getRecodeTime() 
    {
        return recodeTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objId", getObjId())
            .append("collectTime", getCollectTime())
            .append("sensorId", getSensorId())
            .append("speed", getSpeed())
            .append("displacement", getDisplacement())
            .append("acceleration", getAcceleration())
            .append("temperature", getTemperature())
            .append("recodeTime", getRecodeTime())
            .append("remark", getRemark())
            .toString();
    }
}
